<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMatrimoniosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('matrimonios', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->string('libro');
            $table->string('folio');
            $table->string('partida');
            $table->integer('church_id')->unsigned();
            $table->integer('sacramento_id')->unsigned();
            $table->date('fecha');
            $table->string('esposo_nombre');
            $table->string('esposo_apellido_paterno');
            $table->string('esposo_apellido_materno');
            $table->string('esposa_nombre');
            $table->string('esposa_apellido_paterno');
            $table->string('esposa_apellido_materno');
            

            $table->string('nombre_t1');
            $table->string('apellido_paterno_t1');
            $table->string('apellido_materno_t1');

            $table->string('nombre_t2');
            $table->string('apellido_paterno_t2');
            $table->string('apellido_materno_t2');

            $table->integer('sacerdote_id')->unsigned();
            $table->integer('parroco_id')->unsigned();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('matrimonios');
    }
}
